<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

  <a class="navbar-brand" href="#">
    <img src="assets/img/A-64.png" width="30" height="30" alt="">
  </a>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <!-- active -->
      <li class="nav-item" routerLinkActive="active">
        <a class="nav-link" [routerLink]="['home']" routerLinkActive="active">Home</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['heroes']" routerLinkActive="active">Heroes</a>
      </li>
      <li class="nav-item">
        <a class="nav-link"  [routerLink]="['about']" routerLinkActive="active">About</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input
        #buscarTexto
        (keyup.enter)="buscarHeroe(buscarTexto.value)"
        class="form-control mr-sm-2"
        type="search"
        placeholder="Buscar Héroe"
        aria-label="Search">
      <button
        (click)="buscarHeroe(buscarTexto.value)"
        class="btn btn-outline-primary my-2 my-sm-0"
        type="button">
        Buscar
      </button>
    </form>
  </div>
</nav>
